Datensatzinformationen abrufen
curl --request GET \
--url https://dataset.olostep.com/olostep-p2p-dataset-API \
--header 'Authorization: Bearer <token>'import requests
url = "https://dataset.olostep.com/olostep-p2p-dataset-API"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dataset.olostep.com/olostep-p2p-dataset-API', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Retrieve Dataset
This is the endpoint to retrieve the content of a scraped page (HTML/Markdown/PDF) by using a datasetId. Think of the datasetId as cached pointer to the page
GET
/
olostep-p2p-dataset-API
Datensatzinformationen abrufen
Authorizations
Bearer-Authentifizierungsheader in der Form Bearer , wobei dein Authentifizierungstoken ist.
Query Parameters
Eindeutiger Bezeichner für den abzurufenden Datensatz.
Option, den Datensatz im Markdown-Format abzurufen.
Option, den Datensatz im HTML-Format abzurufen.
Experimentelle Option, um den Scraping-Prozess zu beschleunigen
Response
Erfolgreiche Antwort mit den Datensatzinformationen.
Was this page helpful?